diff -aruN --binary 15/administrator/components/com_installer/models/plugins.php 16/administrator/components/com_installer/models/plugins.php
--- 15/administrator/components/com_installer/models/plugins.php	2009-06-30 21:01:32.000000000 +0200
+++ 16/administrator/components/com_installer/models/plugins.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: plugins.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: plugins.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_installer/models/templates.php 16/administrator/components/com_installer/models/templates.php
--- 15/administrator/components/com_installer/models/templates.php	2009-06-30 21:01:32.000000000 +0200
+++ 16/administrator/components/com_installer/models/templates.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: templates.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: templates.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_installer/views/components/view.php 16/administrator/components/com_installer/views/components/view.php
--- 15/administrator/components/com_installer/views/components/view.php	2009-05-29 13:51:08.000000000 +0200
+++ 16/administrator/components/com_installer/views/components/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10466 2008-06-28 14:42:22Z ircmaxell $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_installer/views/default/view.php 16/administrator/components/com_installer/views/default/view.php
--- 15/administrator/components/com_installer/views/default/view.php	2009-05-29 13:51:06.000000000 +0200
+++ 16/administrator/components/com_installer/views/default/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_installer/views/install/view.php 16/administrator/components/com_installer/views/install/view.php
--- 15/administrator/components/com_installer/views/install/view.php	2009-05-29 13:51:08.000000000 +0200
+++ 16/administrator/components/com_installer/views/install/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_installer/views/languages/view.php 16/administrator/components/com_installer/views/languages/view.php
--- 15/administrator/components/com_installer/views/languages/view.php	2009-05-29 13:51:10.000000000 +0200
+++ 16/administrator/components/com_installer/views/languages/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 11213 2008-10-25 12:43:11Z pasamio $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_installer/views/modules/view.php 16/administrator/components/com_installer/views/modules/view.php
--- 15/administrator/components/com_installer/views/modules/view.php	2009-05-29 13:51:10.000000000 +0200
+++ 16/administrator/components/com_installer/views/modules/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10466 2008-06-28 14:42:22Z ircmaxell $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_installer/views/plugins/view.php 16/administrator/components/com_installer/views/plugins/view.php
--- 15/administrator/components/com_installer/views/plugins/view.php	2009-05-29 13:51:06.000000000 +0200
+++ 16/administrator/components/com_installer/views/plugins/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10466 2008-06-28 14:42:22Z ircmaxell $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_languages/admin.languages.html.php 16/administrator/components/com_languages/admin.languages.html.php
--- 15/administrator/components/com_languages/admin.languages.html.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_languages/admin.languages.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.languages.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: admin.languages.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Languages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_languages/admin.languages.php 16/administrator/components/com_languages/admin.languages.php
--- 15/administrator/components/com_languages/admin.languages.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_languages/admin.languages.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.languages.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: admin.languages.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Languages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_languages/toolbar.languages.html.php 16/administrator/components/com_languages/toolbar.languages.html.php
--- 15/administrator/components/com_languages/toolbar.languages.html.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_languages/toolbar.languages.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.languages.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.languages.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Languages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_languages/toolbar.languages.php 16/administrator/components/com_languages/toolbar.languages.php
--- 15/administrator/components/com_languages/toolbar.languages.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_languages/toolbar.languages.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.languages.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.languages.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Languages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_login/admin.login.php 16/administrator/components/com_login/admin.login.php
--- 15/administrator/components/com_login/admin.login.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_login/admin.login.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: admin.login.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: admin.login.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Joomla.Extensions
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_massmail/admin.massmail.html.php 16/administrator/components/com_massmail/admin.massmail.html.php
--- 15/administrator/components/com_massmail/admin.massmail.html.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_massmail/admin.massmail.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.massmail.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: admin.massmail.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Massmail
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_massmail/admin.massmail.php 16/administrator/components/com_massmail/admin.massmail.php
--- 15/administrator/components/com_massmail/admin.massmail.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_massmail/admin.massmail.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.massmail.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: admin.massmail.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Massmail
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_massmail/toolbar.massmail.html.php 16/administrator/components/com_massmail/toolbar.massmail.html.php
--- 15/administrator/components/com_massmail/toolbar.massmail.html.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_massmail/toolbar.massmail.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.massmail.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.massmail.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Massmail
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_massmail/toolbar.massmail.php 16/administrator/components/com_massmail/toolbar.massmail.php
--- 15/administrator/components/com_massmail/toolbar.massmail.php	2009-05-29 13:51:18.000000000 +0200
+++ 16/administrator/components/com_massmail/toolbar.massmail.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.massmail.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.massmail.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Massmail
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/assets/mediamanager.js 16/administrator/components/com_media/assets/mediamanager.js
--- 15/administrator/components/com_media/assets/mediamanager.js	2009-05-29 13:51:26.000000000 +0200
+++ 16/administrator/components/com_media/assets/mediamanager.js	2010-04-23 13:40:10.000000000 +0200
@@ -1,7 +1,7 @@
 /**
-* @version      $Id: mediamanager.js 10710 2008-08-21 10:08:12Z eddieajau $
+* @version      $Id: mediamanager.js 14401 2010-01-26 14:10:00Z louis $
 * @package      Joomla
-* @copyright    Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright    Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license      GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/assets/popup-imagemanager.js 16/administrator/components/com_media/assets/popup-imagemanager.js
--- 15/administrator/components/com_media/assets/popup-imagemanager.js	2009-05-29 13:51:26.000000000 +0200
+++ 16/administrator/components/com_media/assets/popup-imagemanager.js	2010-04-23 13:40:10.000000000 +0200
@@ -1,7 +1,7 @@
 /**
-* @version		$Id: popup-imagemanager.js 10702 2008-08-21 09:31:31Z eddieajau $
+* @version		$Id: popup-imagemanager.js 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/controller.php 16/administrator/components/com_media/controller.php
--- 15/administrator/components/com_media/controller.php	2009-05-29 13:51:32.000000000 +0200
+++ 16/administrator/components/com_media/controller.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Media
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/controllers/file.php 16/administrator/components/com_media/controllers/file.php
--- 15/administrator/components/com_media/controllers/file.php	2009-05-29 13:51:30.000000000 +0200
+++ 16/administrator/components/com_media/controllers/file.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: file.php 11713 2009-03-27 09:18:26Z willebil $
+ * @version		$Id: file.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/controllers/folder.php 16/administrator/components/com_media/controllers/folder.php
--- 15/administrator/components/com_media/controllers/folder.php	2009-05-29 13:51:30.000000000 +0200
+++ 16/administrator/components/com_media/controllers/folder.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: folder.php 11713 2009-03-27 09:18:26Z willebil $
+ * @version		$Id: folder.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Media
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/helpers/media.php 16/administrator/components/com_media/helpers/media.php
--- 15/administrator/components/com_media/helpers/media.php	2009-05-29 13:51:26.000000000 +0200
+++ 16/administrator/components/com_media/helpers/media.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: media.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: media.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Media
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/media.php 16/administrator/components/com_media/media.php
--- 15/administrator/components/com_media/media.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/administrator/components/com_media/media.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: media.php 12696 2009-09-12 02:08:54Z ian $
+ * @version		$Id: media.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Media
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/models/list.php 16/administrator/components/com_media/models/list.php
--- 15/administrator/components/com_media/models/list.php	2009-05-29 13:51:26.000000000 +0200
+++ 16/administrator/components/com_media/models/list.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: list.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: list.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Media
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/models/manager.php 16/administrator/components/com_media/models/manager.php
--- 15/administrator/components/com_media/models/manager.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/administrator/components/com_media/models/manager.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: manager.php 13297 2009-10-24 01:29:37Z ian $
+ * @version		$Id: manager.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_media/views/images/view.html.php 16/administrator/components/com_media/views/images/view.html.php
--- 15/administrator/components/com_media/views/images/view.html.php	2009-05-29 13:51:30.000000000 +0200
+++ 16/administrator/components/com_media/views/images/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11236 2008-11-02 02:44:35Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Media
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/views/imageslist/view.html.php 16/administrator/components/com_media/views/imageslist/view.html.php
--- 15/administrator/components/com_media/views/imageslist/view.html.php	2009-05-29 13:51:30.000000000 +0200
+++ 16/administrator/components/com_media/views/imageslist/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11666 2009-03-08 20:31:39Z willebil $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Media
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/views/media/view.html.php 16/administrator/components/com_media/views/media/view.html.php
--- 15/administrator/components/com_media/views/media/view.html.php	2009-07-30 20:02:22.000000000 +0200
+++ 16/administrator/components/com_media/views/media/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 12544 2009-07-23 10:24:34Z erdsiger $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Media
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_media/views/medialist/view.html.php 16/administrator/components/com_media/views/medialist/view.html.php
--- 15/administrator/components/com_media/views/medialist/view.html.php	2009-05-29 13:51:32.000000000 +0200
+++ 16/administrator/components/com_media/views/medialist/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11307 2008-11-24 00:21:48Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Media
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_menus/admin.menus.php 16/administrator/components/com_menus/admin.menus.php
--- 15/administrator/components/com_menus/admin.menus.php	2009-05-29 13:50:56.000000000 +0200
+++ 16/administrator/components/com_menus/admin.menus.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: admin.menus.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: admin.menus.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_menus/classes/ilink.php 16/administrator/components/com_menus/classes/ilink.php
--- 15/administrator/components/com_menus/classes/ilink.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/administrator/components/com_menus/classes/ilink.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: ilink.php 12694 2009-09-11 21:03:02Z ian $
+ * @version		$Id: ilink.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_menus/controller.php 16/administrator/components/com_menus/controller.php
--- 15/administrator/components/com_menus/controller.php	2009-05-29 13:50:56.000000000 +0200
+++ 16/administrator/components/com_menus/controller.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: controller.php 15095 2010-02-27 14:14:06Z ian $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -725,9 +725,11 @@
 		foreach( $mids as $mid )
 		{
 			$original->load( $mid );
+			$parent = $original->parent;
+			$id = $original->id;
 			$copy 			= $original;
 			$copy->id 		= NULL;
-			$copy->parent 	= $a_ids[$original->parent];
+			$copy->parent 	= $a_ids[$parent];
 			$copy->menutype = $menu_name;
 			$copy->home 	= 0;
 
@@ -741,7 +743,7 @@
 				$this->setRedirect( 'index.php?option=com_menus' );
 				return;
 			}
-			$a_ids[$original->id] = $copy->id;
+			$a_ids[$id] = $copy->id;
 		}
 
 		// create the module copy
@@ -794,4 +796,4 @@
 		$msg = JText::sprintf( 'Copy of Menu created', $type, $total );
 		$mainframe->redirect( 'index.php?option=com_menus', $msg );
 	}
-}
+}
\ No hay ningún carácter de nueva línea al final del fichero
